
<%@taglib uri="/WEB-INF/jato.tld" prefix="jato"%>
<!-- 
There are many options when it comes to displaying the label (button's value)
and even more so when it comes to the disabled mode. You can set the value
via the peer Java view class, you can use the below if/else like logic
and display one image for enable and another for disable (the default), or
you can get rid of the disabled versions of the images and just set the disable
tag attr instead, but some older browsers don't support this attr.
You can use the supplied icons or replace with your own as L+F requires.

NOTE: All commments in this pagelet JSP may be removed to prevent them from 
	being output to the end user's browser
-->
<jato:pagelet>
    <jato:content name="hasPreviousData">
		<!--
			this content will be shown when the user is "not" on the first record
		-->
        <jato:button name="firstCommand" src='<%= request.getContextPath() + "/com/sun/jatox/view/images/pagination_first.gif" %>'/>
        <jato:button name="previousCommand" src='<%= request.getContextPath() + "/com/sun/jatox/view/images/pagination_prev.gif" %>'/>
    </jato:content>

    <jato:content name="hasPreviousData" negate="true">
		<jato:content name="showDisabled">
			<!--
				this content will be shown when the user "is" on the first record
			-->
			<img name="firstCommandDisabled" src='<%= request.getContextPath() + "/com/sun/jatox/view/images/pagination_first_dis.gif" %>'>
			<img name="previousCommandDisabled" src='<%= request.getContextPath() + "/com/sun/jatox/view/images/pagination_prev_dis.gif" %>'>
		</jato:content>
    </jato:content>

    <jato:content name="hasMoreData">
		<!--
			this content will be shown when the user is "not" on the last record
		-->
        <jato:button name="nextCommand" src='<%= request.getContextPath() + "/com/sun/jatox/view/images/pagination_next.gif" %>'/>
        <jato:button name="lastCommand" src='<%= request.getContextPath() + "/com/sun/jatox/view/images/pagination_last.gif" %>'/>
    </jato:content>
    
	<jato:content name="hasMoreData" negate="true">
		<!--
			this content will be shown when the user "is" on the last record
		-->
		<jato:content name="showDisabled">
	        <img name="nextCommandDisabled" src='<%= request.getContextPath() + "/com/sun/jatox/view/images/pagination_next_dis.gif" %>'>
		    <img name="lastCommandDisabled" src='<%= request.getContextPath() + "/com/sun/jatox/view/images/pagination_last_dis.gif" %>'>
	    </jato:content>
    </jato:content>
</jato:pagelet>
